{
  "name": "EShop",
  "version": "1.0.0",
  "private": true,
  "description": "电子商城",
  "templateInfo": {
    "name": "default",
    "typescript": true,
    "css": "sass"
  },
  "author": "",
  "scripts": {
    "build:weapp": "taro build --type weapp",
    "build:swan": "taro build --type swan",
    "build:alipay": "taro build --type alipay",
    "build:tt": "taro build --type tt",
    "build:h5": "taro build --type h5",
    "build:rn": "taro build --type rn",
    "build:qq": "taro build --type qq",
    "build:jd": "taro build --type jd",
    "build:quickapp": "taro build --type quickapp",
    "dev:weapp": "npm run build:weapp -- --watch",
    "dev:swan": "npm run build:swan -- --watch",
    "dev:alipay": "npm run build:alipay -- --watch",
    "dev:tt": "npm run build:tt -- --watch",
    "dev:h5": "npm run build:h5 -- --watch",
    "dev:rn": "npm run build:rn -- --watch",
    "dev:qq": "npm run build:qq -- --watch",
    "dev:jd": "npm run build:jd -- --watch",
    "dev:quickapp": "npm run build:quickapp -- --watch",
    "build:weapp:pre": "cross-env NODE_ENV=pre taro build --type weapp",
    "dev:weapp:pre": "cross-env NODE_ENV=pre npm run build:weapp -- --watch",
    "build:weapp:open": "taro build --type weapp --open",
    "build:weapp:upload": "taro build --type weapp --upload",
    "build:weapp:preview": "taro build --type weapp --preview",
    "lint": "eslint .",
    "lint:fix": "eslint . --fix"
  },
  "browserslist": [
    "last 3 versions",
    "Android >= 4.1",
    "ios >= 8"
  ],
  "dependencies": {
    "@babel/runtime": "^7.20.6",
    "@tarojs/components": "3.5.8",
    "@tarojs/mini-runner": "3.5.8",
    "@tarojs/plugin-framework-react": "3.5.8",
    "@tarojs/react": "3.5.8",
    "@tarojs/runtime": "3.5.8",
    "@tarojs/taro": "3.5.8",
    "big.js": "^6.1.1",
    "dayjs": "^1.11.6",
    "qs": "^6.10.3",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "react-redux": "^8.0.5",
    "redux": "^4.2.0",
    "redux-logger": "^3.0.6",
    "redux-thunk": "^2.4.2",
    "tarojs": "^2.1.1"
  },
  "devDependencies": {
    "@aaronghx/eslint-config-react": "^0.1.11",
    "@babel/core": "^7.20.5",
    "@pmmmwh/react-refresh-webpack-plugin": "0.5.10",
    "@tarojs/plugin-mini-ci": "3.5.8",
    "@tarojs/plugin-react-devtools": "3.5.8",
    "@tarojs/webpack5-runner": "3.5.8",
    "@types/qs": "^6.9.7",
    "@types/react": "^18.0.26",
    "@types/webpack-env": "^1.13.6",
    "babel-preset-taro": "3.5.8",
    "classnames": "^2.3.2",
    "cross-env": "^7.0.3",
    "eslint": "^8.29.0",
    "eslint-config-taro": "3.5.8",
    "prettier": "^2.8.0",
    "react-refresh": "0.14.0",
    "stylelint": "14.16.0",
    "taro-iconfont-svg": "^1.0.19",
    "typescript": "^4.9.3",
    "webpack": "^5.75.0"
  }
}
